Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.pragma
Class ReplacementConstructorPragma

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.squawk.pragma.PragmaException
                      com.sun.squawk.pragma.ReplacementConstructorPragma

    public class ReplacementConstructorPragma

extends PragmaException

Denotes a method (that must be static) whose code replaces the body of the constructor with the same declared parameter types. The denoted method must return a value of the class type in which it is defined. Any direct call to the method will result in a NoSuchMethodError in the translator.

This pragma is used by Squawk to create the data for an object that is internally represented in the array object format.

Field Summary

Fields inherited from class com.sun.squawk.pragma.PragmaException
`ALLOW_INLINED, FORCE_INLINED, FORCE_INLINED_A, HOSTED, INTERPRETER_INVOKED, NATIVE, NOT_INLINED, REPLACEMENT_CONSTRUCTOR`

Constructor Summary
`ReplacementConstructorPragma()`

Method Summary

Methods inherited from class com.sun.squawk.pragma.PragmaException
`isAllowInlined, isForceInlined, isHosted, isInterpreterInvoked, isNative, isNotInlined, isReplacementConstructor, toModifier`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplacementConstructorPragma

    public ReplacementConstructorPragma()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"